
//
// To jest przykładowy kod z podrozdziału 13.3 "Linie" książki
// "Programowanie. Teoria i praktyka z wykorzystaniem C++" Bjarne'a Stroustrupa.
//

#include "Simple_window.h"  // Dołącza naszą bibliotekę okien.
#include "Graph.h"          // Dołącza narzędzia graficzne.

//------------------------------------------------------------------------------

int main()
try
{
    using namespace Graph_lib;    // Nasze narzędzia graficzne znajdują się w bibliotece Graph_lib

    Simple_window win1(Point(100,100),600,400,"Linie: +");    

    Lines x;
    x.add(Point(100,100), Point(200,100));   // Pierwsza linia: pozioma.
    x.add(Point(150,50), Point(150,150));    // Druga linia: pionowa.

    win1.attach(x);                          // Wiąże linie z oknem.
    win1.wait_for_button();                  // Wyświetl!
}
catch(exception& e) {
    // Raport o błędzie.
    return 1;
}
catch(...) {
    // Raport o błędzie.
    return 2;
}

//------------------------------------------------------------------------------
